#include <gst/gst.h>

#include <fstream>
#include <iostream>

#include "config_manager.hpp"

class NvMessageConverter {
   private:
   public:
    gint frame_interval;
    std::string payload_generation_library;
    GstElement *msgconv = NULL;
    std::string msgconv_config_file;
    NvMessageConverter();
    bool create_message_converter();
    ~NvMessageConverter();
};